﻿// <auto-generated />
using System;
using InventoryCrudApi.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace InventoryCrudApi.Migrations
{
    [DbContext(typeof(AppDbContext))]
    [Migration("20240623124624_AddGudangIdToBarang")]
    partial class AddGudangIdToBarang
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "8.0.6")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("InventoryCrudApi.Models.Barang", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<DateTime?>("ExpiredBarang")
                        .HasColumnType("timestamp with time zone")
                        .HasColumnName("expired_barang");

                    b.Property<int>("GudangId")
                        .HasColumnType("integer")
                        .HasColumnName("gudangid");

                    b.Property<decimal>("HargaBarang")
                        .HasColumnType("numeric")
                        .HasColumnName("harga_barang");

                    b.Property<int?>("IdGudang")
                        .HasColumnType("integer")
                        .HasColumnName("id_gudang");

                    b.Property<int>("JumlahBarang")
                        .HasColumnType("integer")
                        .HasColumnName("jumlah_barang");

                    b.Property<string>("KodeBarang")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("kode_barang");

                    b.Property<string>("KodeGudang")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("kode_gudang");

                    b.Property<string>("NamaBarang")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("nama_barang");

                    b.HasKey("Id");

                    b.HasIndex("GudangId");

                    b.HasIndex("KodeGudang");

                    b.ToTable("barang", (string)null);
                });

            modelBuilder.Entity("InventoryCrudApi.Models.Gudang", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<int>("Id"));

                    b.Property<string>("KodeGudang")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("kode_gudang");

                    b.Property<string>("NamaGudang")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("nama_gudang");

                    b.HasKey("Id");

                    b.ToTable("gudang", (string)null);
                });

            modelBuilder.Entity("InventoryCrudApi.Models.Barang", b =>
                {
                    b.HasOne("InventoryCrudApi.Models.Gudang", null)
                        .WithMany("Barangs")
                        .HasForeignKey("GudangId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("InventoryCrudApi.Models.Gudang", "Gudang")
                        .WithMany()
                        .HasForeignKey("KodeGudang")
                        .HasPrincipalKey("KodeGudang")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Gudang");
                });

            modelBuilder.Entity("InventoryCrudApi.Models.Gudang", b =>
                {
                    b.Navigation("Barangs");
                });
#pragma warning restore 612, 618
        }
    }
}
